Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79008 - Update Agent Fails
Summary: Update Agent Fails
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Stronghold Cross Platform
Classification: Retired
Component: update-agent
Version: 4.0
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gary Benson
QA Contact: Stronghold Engineering List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-04 15:48 UTC by Bob Breedlove
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-06 10:45:10 UTC


Attachments (Terms of Use)

Description Bob Breedlove 2002-12-04 15:48:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
Agent fails when updating:

# bin/agent
Getting list of packages    ########################################### [100%]
Getting package headers     ########################################### [100%]
 
Required packages:
   Name                                    Version        Rel
   ----------------------------------------------------------
   stronghold-apache                       1.3.22         11                  
   stronghold-php4                         4.1.2          2                   
   stronghold-php4-manual                  4.1.2          2                   
   stronghold-configurator                 1.2            8                   
   stronghold-openssl                      0.9.6c         6                   
   stronghold-openssl-devel                0.9.6c         6                   
   stronghold-tomcat                       4.0.5          1                   
   stronghold-shcore                       4.0            7                   
   stronghold-perl                         5.6.1          6                   
   stronghold-apache-devel                 1.3.22         11                  
   stronghold-mm-devel                     1.1.3          6                   
   stronghold-apache-src                   1.3.22         11                  
   stronghold-mod_authz_ldap               0.19           4                   
   stronghold-update-agent                 1.2            1                   
   stronghold-apache-manual                1.3.22         11                  
 
Downloading package files:
   1:apache                 ########################################### [100%]
   2:php4                   ########################################### [100%]
   3:php4-manual            ########################################### [100%]
   4:configurator           ########################################### [100%]
   5:openssl                ########################################### [100%]
   6:openssl-devel          ########################################### [100%]
   7:tomcat                 ########################################### [100%]
   8:shcore                 ########################################### [100%]
   9:perl                   ########################################### [100%]
  10:apache-devel           ########################################### [100%]
  11:mm-devel               ########################################### [100%]
  12:apache-src             ########################################### [100%]
  13:mod_authz_ldap         ########################################### [100%]
  14:update-agent           ########################################### [100%]
  15:apache-manual          ########################################### [100%]
 
Installing packages:
   (preparing...)           ########################################### [100%]
 
The following problems prevented package installation:
  package stronghold-apache-devel-1.3.22-11 is for a different operating system
  package stronghold-php4-manual-4.1.2-2 is for a different operating system
  package stronghold-perl-5.6.1-6 is for a different operating system
  package stronghold-php4-4.1.2-2 is for a different operating system
  package stronghold-apache-1.3.22-11 is for a different operating system
  package stronghold-configurator-1.2-8 is for a different operating system
  package stronghold-apache-src-1.3.22-11 is for a different operating system
  package stronghold-openssl-devel-0.9.6c-6 is for a different operating system
  package stronghold-openssl-0.9.6c-6 is for a different operating system
  package stronghold-tomcat-4.0.5-1 is for a different operating system
  package stronghold-shcore-4.0-7 is for a different operating system
  package stronghold-mm-devel-1.1.3-6 is for a different operating system
  package stronghold-mod_authz_ldap-0.19-4 is for a different operating system
  package stronghold-update-agent-1.2-1 is for a different operating system
  package stronghold-apache-manual-1.3.22-11 is for a different operating system
 
How do I get a complete install package.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run the agent per your directions.

	

Actual Results:  # bin/agent
Getting list of packages    ########################################### [100%]
Getting package headers     ########################################### [100%]
 
Required packages:
   Name                                    Version        Rel
   ----------------------------------------------------------
   stronghold-apache                       1.3.22         11                  
   stronghold-php4                         4.1.2          2                   
   stronghold-php4-manual                  4.1.2          2                   
   stronghold-configurator                 1.2            8                   
   stronghold-openssl                      0.9.6c         6                   
   stronghold-openssl-devel                0.9.6c         6                   
   stronghold-tomcat                       4.0.5          1                   
   stronghold-shcore                       4.0            7                   
   stronghold-perl                         5.6.1          6                   
   stronghold-apache-devel                 1.3.22         11                  
   stronghold-mm-devel                     1.1.3          6                   
   stronghold-apache-src                   1.3.22         11                  
   stronghold-mod_authz_ldap               0.19           4                   
   stronghold-update-agent                 1.2            1                   
   stronghold-apache-manual                1.3.22         11                  
 
Downloading package files:
   1:apache                 ########################################### [100%]
   2:php4                   ########################################### [100%]
   3:php4-manual            ########################################### [100%]
   4:configurator           ########################################### [100%]
   5:openssl                ########################################### [100%]
   6:openssl-devel          ########################################### [100%]
   7:tomcat                 ########################################### [100%]
   8:shcore                 ########################################### [100%]
   9:perl                   ########################################### [100%]
  10:apache-devel           ########################################### [100%]
  11:mm-devel               ########################################### [100%]
  12:apache-src             ########################################### [100%]
  13:mod_authz_ldap         ########################################### [100%]
  14:update-agent           ########################################### [100%]
  15:apache-manual          ########################################### [100%]
 
Installing packages:
   (preparing...)           ########################################### [100%]
 
The following problems prevented package installation:
  package stronghold-apache-devel-1.3.22-11 is for a different operating system
  package stronghold-php4-manual-4.1.2-2 is for a different operating system
  package stronghold-perl-5.6.1-6 is for a different operating system
  package stronghold-php4-4.1.2-2 is for a different operating system
  package stronghold-apache-1.3.22-11 is for a different operating system
  package stronghold-configurator-1.2-8 is for a different operating system
  package stronghold-apache-src-1.3.22-11 is for a different operating system
  package stronghold-openssl-devel-0.9.6c-6 is for a different operating system
  package stronghold-openssl-0.9.6c-6 is for a different operating system
  package stronghold-tomcat-4.0.5-1 is for a different operating system
  package stronghold-shcore-4.0-7 is for a different operating system
  package stronghold-mm-devel-1.1.3-6 is for a different operating system
  package stronghold-mod_authz_ldap-0.19-4 is for a different operating system
  package stronghold-update-agent-1.2-1 is for a different operating system
  package stronghold-apache-manual-1.3.22-11 is for a different operating system
 
P

Expected Results:  Correct install.

Additional info:

Comment 1 Gary Benson 2002-12-05 11:48:03 UTC
A workaround for this issue is attached to #70449.

*** This bug has been marked as a duplicate of 70449 ***

Comment 2 Gary Benson 2002-12-06 10:41:19 UTC
My mistake, this is not a duplicate of 70449 at all.

Comment 3 Gary Benson 2002-12-06 10:45:03 UTC
Could you please attach:
* the file <ServerRoot>/lib/update-agent/config.py
* the file <ServerRoot>/conf/update-agent.conf if it exists.
* a listing of the contents of the directory <ServerRoot>/var/ua/spool



Note You need to log in before you can comment on or make changes to this bug.